Package ch.qos.logback.classic.joran

# Class ReconfigureOnChangeTask

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.classic.joran.ReconfigureOnChangeTask

All Implemented Interfaces:
  `ContextAware`, `Runnable`

public class ReconfigureOnChangeTask extends ContextAwareBase implements Runnable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DETECTED_CHANGE_IN_CONFIGURATION_FILES`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ReconfigureOnChangeTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DETECTED_CHANGE_IN_CONFIGURATION_FILES

public static final String DETECTED_CHANGE_IN_CONFIGURATION_FILES

See Also:
  - Constant Field Values

## Constructor Details

### ReconfigureOnChangeTask

public ReconfigureOnChangeTask()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### toString

public String toString()

Overrides:
  `toString` in class `Object`